| Disk ARchive 2.7.14 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
libdar::same_path_mask Class Reference
API

matches if string is exactly the given mask (no wilde card expression) More...

`#include <mask.hpp>`

Inherits libdar::mask.

## Public Member Functions
| same_path_mask (const std::string &p, bool case_sensit)
| the constructor to be used by libdar external programs
| same_path_mask (const same_path_mask &ref)=default
| same_path_mask (same_path_mask &&ref) noexcept=default
same_path_mask & | operator= (const same_path_mask &ref)=default
same_path_mask & | operator= (same_path_mask &&ref) noexcept=default
bool | is_covered (const std::string &chemin) const override
| inherited from the mask class
std::string | dump (const std::string &prefix) const override
| inherited from the mask class
mask * | clone () const override
| inherited from the mask class
Public Member Functions inherited from libdar::mask
| mask (const mask &ref)=default
| mask (mask &&ref) noexcept=default
mask & | operator= (const mask &ref)=default
mask & | operator= (mask &&ref) noexcept=default
virtual bool | is_covered (const path &chemin) const
| check whether the given path is covered by the mask

## Private Attributes
std::string | chemin
bool | case_s

## Detailed Description

matches if string is exactly the given mask (no wilde card expression)

Definition at line 426 of file mask.hpp.

## Constructor & Destructor Documentation

## ◆ same_path_mask()

libdar::same_path_mask::same_path_mask | ( | const std::string & | p,
|  | bool | case_sensit
| ) |  |
| inline

the constructor to be used by libdar external programs

Parameters

  [in] | p | is the path to compare with
  [in] | case_sensit | whether the mask is case sensitive or not

Definition at line 433 of file mask.hpp.

## Member Function Documentation

## ◆ clone()

mask * libdar::same_path_mask::clone | ( |  | ) | const
| inline override virtual

inherited from the mask class

Implements libdar::mask.

Definition at line 447 of file mask.hpp.

## ◆ dump()

std::string libdar::same_path_mask::dump | ( | const std::string & | prefix | ) | const
| override virtual

inherited from the mask class

Implements libdar::mask.

## ◆ is_covered()

bool libdar::same_path_mask::is_covered | ( | const std::string & | chemin | ) | const
| override virtual

inherited from the mask class

Implements libdar::mask.

## Member Data Documentation

## ◆ case_s

bool libdar::same_path_mask::case_s
| private

Definition at line 451 of file mask.hpp.

## ◆ chemin

std::string libdar::same_path_mask::chemin
| private

Definition at line 450 of file mask.hpp.

The documentation for this class was generated from the following file:

- mask.hpp